# RTPSessionBaseHandler Class Reference

`#include <pool.h>`

Inheritance diagram for RTPSessionBaseHandler:

List of all members.

## Public Member Functions

microtimeout_t | getSchedulingTimeout (RTPSessionBase &s)
timeval | getRTCPCheckInterval (RTPSessionBase &s)
size_t | takeInDataPacket (RTPSessionBase &s)
size_t | dispatchDataPacket (RTPSessionBase &s)
void | controlReceptionService (RTPSessionBase &s)
void | controlTransmissionService (RTPSessionBase &s)
SOCKET | getDataRecvSocket (RTPSessionBase &s) const
SOCKET | getControlRecvSocket (RTPSessionBase &s) const

## Member Function Documentation

void RTPSessionBaseHandler::controlReceptionService | ( | RTPSessionBase & | s ) | `[inline]`

void RTPSessionBaseHandler::controlTransmissionService | ( | RTPSessionBase & | s ) | `[inline]`

size_t RTPSessionBaseHandler::dispatchDataPacket | ( | RTPSessionBase & | s ) | `[inline]`

SOCKET RTPSessionBaseHandler::getControlRecvSocket | ( | RTPSessionBase & | s ) | const`[inline]`

SOCKET RTPSessionBaseHandler::getDataRecvSocket | ( | RTPSessionBase & | s ) | const`[inline]`

timeval RTPSessionBaseHandler::getRTCPCheckInterval | ( | RTPSessionBase & | s ) | `[inline]`

microtimeout_t RTPSessionBaseHandler::getSchedulingTimeout | ( | RTPSessionBase & | s ) | `[inline]`

size_t RTPSessionBaseHandler::takeInDataPacket | ( | RTPSessionBase & | s ) | `[inline]`

The documentation for this class was generated from the following file:

- pool.h